.p-music {
  opacity: 0;
}
.is-ended .p-music {
  opacity: 1;
  transition: opacity 0.6s var(--ease-out-quart);
}
.p-music__list {
  display: flex;
  justify-content: flex-start;
  align-items: stretch;
  flex-wrap: wrap;
  margin-top: 5.4rem;
}
@media screen and (max-width: 750px) {
  .p-music__list {
    margin-top: 4rem;
  }
}
.p-music__list:has(.p-music_item) {
  border-left: 1px solid var(--color-gray);
}
.p-music__list-item {
  width: 33.3333333333%;
}
@media screen and (max-width: 750px) {
  .p-music__list-item {
    width: 50%;
  }
}
.p-music__list-item:has(.p-music_item) {
  border-bottom: 1px solid var(--color-gray);
  border-right: 1px solid var(--color-gray);
}
.p-music__list-item:has(.p-music_item):nth-child(-n+3) {
  border-top: 1px solid var(--color-gray);
}
@media screen and (max-width: 750px) {
  .p-music__list-item:has(.p-music_item):nth-child(-n+3) {
    border-top: none;
  }
}
@media screen and (max-width: 750px) {
  .p-music__list-item:has(.p-music_item):nth-child(-n+2) {
    border-top: 1px solid var(--color-gray);
  }
}
.p-music__more {
  margin-top: 4rem;
}
@media screen and (max-width: 750px) {
  .p-music__more {
    margin-top: 3.6rem;
  }
}
.p-music__info {
  border: 1px solid var(--color-gray);
}
.p-music__back {
  margin-top: 4.7rem;
}
@media screen and (max-width: 750px) {
  .p-music__back {
    margin-top: 3.7rem;
  }
}

.p-music_item {
  height: 100%;
}
.p-music_item__link {
  display: block;
  height: 100%;
  text-decoration: none;
  color: var(--color-white);
}
.p-music_item__link::before {
  content: "";
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: var(--color-white);
  opacity: 0;
  transition: opacity 0.6s var(--ease-out-quart);
}
@media (hover: hover) {
  .p-music_item__link:hover::before {
    opacity: 0.2;
  }
}

.p-music_item__inner {
  width: 87%;
  margin: 0 auto;
  padding: 4rem 0 4.65rem;
}
@media screen and (max-width: 750px) {
  .p-music_item__inner {
    padding-bottom: 3.4rem;
  }
}
.p-music_item__jk {
  width: 100%;
  padding-top: 100%;
}
.p-music_item__jk-img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
}
.p-music_item__info {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  margin-top: 1.3rem;
}
@media screen and (max-width: 750px) {
  .p-music_item__info {
    margin-top: 1rem;
  }
}
.p-music_item__info-date {
  width: 9rem;
  color: var(--color-gray);
  font-size: 1.3rem;
  font-weight: 700;
  line-height: 1;
  letter-spacing: 0.02em;
}
@media screen and (max-width: 750px) {
  .p-music_item__info-date {
    width: 7.2rem;
    font-size: 1.1rem;
    letter-spacing: 0;
  }
}
.p-music_item__info-category {
  box-sizing: border-box;
  width: -webkit-max-content;
  width: -moz-max-content;
  width: max-content;
  padding: 0.2rem 0.9rem;
  background: var(--color-blue);
  border-radius: 5rem;
  font-size: 1.1rem;
  line-height: 1;
}
@media screen and (max-width: 750px) {
  .p-music_item__info-category {
    padding: 0.2rem 0.9rem;
    font-size: 0.85rem;
  }
}
.p-music_item__title {
  margin-top: 0.5rem;
  font-size: 1.9rem;
  font-weight: 700;
}
@media screen and (max-width: 750px) {
  .p-music_item__title {
    margin-top: 0.4rem;
    font-size: 1.4rem;
    letter-spacing: 0.07em;
  }
}
.p-music_item__artist {
  margin-top: 0.2rem;
  font-size: 1.4rem;
}
@media screen and (max-width: 750px) {
  .p-music_item__artist {
    font-size: 1rem;
  }
}

.p-music_detail__inner {
  width: 90%;
  margin: 0 auto;
  padding: 3.7rem 0 5rem;
}
@media screen and (max-width: 750px) {
  .p-music_detail__inner {
    width: 85%;
    padding-top: 2.6rem;
    padding-bottom: 3.9rem;
  }
}
.p-music_detail__content {
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
}
@media screen and (max-width: 750px) {
  .p-music_detail__content {
    display: block;
  }
}
.p-music_detail__jk {
  width: 50%;
  margin-top: 1.3rem;
}
@media screen and (max-width: 750px) {
  .p-music_detail__jk {
    width: 100%;
  }
}
.p-music_detail__info {
  flex-basis: 0;
  flex-grow: 1;
  margin-left: 4.5%;
}
@media screen and (max-width: 750px) {
  .p-music_detail__info {
    margin-left: 0;
    margin-top: 1.2rem;
  }
}
.p-music_detail__info-title {
  font-size: 3rem;
  font-weight: 700;
  letter-spacing: 0.04em;
}
@media screen and (max-width: 750px) {
  .p-music_detail__info-title {
    font-size: 2.3rem;
    line-height: 1.58;
  }
}
.p-music_detail__info-artist {
  font-size: 1.6rem;
}
@media screen and (max-width: 750px) {
  .p-music_detail__info-artist {
    font-size: 1.4rem;
  }
}
.p-music_detail__info-date {
  margin-top: 0.4rem;
  color: var(--color-gray);
  font-size: 1.3rem;
  font-weight: 500;
  line-height: 1;
  letter-spacing: 0.04em;
}
.p-music_detail__info-category {
  box-sizing: border-box;
  width: -webkit-max-content;
  width: -moz-max-content;
  width: max-content;
  margin-top: 0.8rem;
  padding: 0.2rem 0.9rem;
  background: var(--color-blue);
  border-radius: 5rem;
  font-size: 1.1rem;
  line-height: 1;
}
@media screen and (max-width: 750px) {
  .p-music_detail__info-category {
    padding: 0.3rem 0.9rem 0.2rem;
    font-size: 1rem;
    letter-spacing: 0.05em;
  }
}
.p-music_detail__info-type {
  margin-top: 0.5rem;
  font-size: 1.3rem;
  letter-spacing: 0.02em;
}
.p-music_detail__info-writer {
  margin-top: 1.8rem;
  font-size: 1.3rem;
  letter-spacing: 0.02em;
}
@media screen and (max-width: 750px) {
  .p-music_detail__info-writer {
    margin-top: 1.9rem;
  }
}
.p-music_detail__info-description {
  margin-top: 1.6rem;
  font-size: 1.3rem;
  line-height: 1.95;
}
.p-music_detail__info-more {
  margin-top: 2.7rem;
}
@media screen and (max-width: 750px) {
  .p-music_detail__info-more {
    margin-top: 1.9rem;
  }
}
.p-music_detail__info-more-btn {
  width: 22.1rem;
}
@media screen and (max-width: 750px) {
  .p-music_detail__info-more-btn {
    width: 17.7rem;
    margin: 0 auto;
  }
}
.p-music_detail__info-more-btn:nth-child(n+2) {
  margin-top: 1.2rem;
}
@media screen and (max-width: 750px) {
  .p-music_detail__info-more-btn:nth-child(n+2) {
    margin-top: 0.8rem;
  }
}

.p-music_disc {
  border-top: 1px solid var(--color-gray);
  display: none;
}
.p-music_disc:has(.p-music_disc__block) {
  display: block;
}
.p-music_disc__inner {
  width: 90.4%;
  margin: 0 auto;
  padding: 4.5rem 0 4.4rem;
}
@media screen and (max-width: 750px) {
  .p-music_disc__inner {
    width: 86%;
    padding-top: 2.8rem;
    padding-bottom: 3.2rem;
  }
}
.p-music_disc__block:nth-child(n+2) {
  margin-top: 3.4rem;
}
@media screen and (max-width: 750px) {
  .p-music_disc__block:nth-child(n+2) {
    margin-top: 2.4rem;
  }
}
.p-music_disc__block-body {
  margin-top: 1.2rem;
}
.p-music_disc__label {
  font-family: var(--font-eng);
  font-weight: 400;
  letter-spacing: 0.02em;
}
@media screen and (max-width: 750px) {
  .p-music_disc__label {
    font-size: 1.5rem;
  }
}
.p-music_disc__list-item {
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
}
.p-music_disc__list-item:nth-child(n+2) {
  margin-top: 0.8rem;
}
.p-music_disc__num {
  width: 4.5rem;
  margin-top: 0.6rem;
  color: var(--color-gray);
  font-family: var(--font-eng);
  font-size: 1rem;
  font-weight: 400;
}
.p-music_disc__song {
  flex-basis: 0;
  flex-grow: 1;
  font-size: 1.4rem;
  letter-spacing: 0.09em;
}

.p-music_others {
  border-top: 1px solid var(--color-gray);
}
.p-music_others__inner {
  width: 90%;
  margin: 0 auto;
  padding: 5rem 0 5.2rem;
}
@media screen and (max-width: 750px) {
  .p-music_others__inner {
    width: 85.5%;
    padding-top: 4rem;
    padding-bottom: 3.9rem;
  }
}
.p-music_others__content {
  width: 100%;
}
.p-music_others__content iframe {
  width: 100%;
}

.p-music_modal {
  display: none;
  padding-bottom: 1.3rem;
}
@media screen and (max-width: 750px) {
  .p-music_modal {
    padding-bottom: 0.8rem;
  }
}
.m-modal .p-music_modal {
  display: block;
}
.p-music_modal__block:nth-child(n+2) {
  margin-top: 6.5rem;
}
@media screen and (max-width: 750px) {
  .p-music_modal__block:nth-child(n+2) {
    margin-top: 4.1rem;
  }
}
.p-music_modal__label {
  font-size: 3rem;
  font-weight: 600;
  letter-spacing: 0.05em;
}
@media screen and (max-width: 750px) {
  .p-music_modal__label {
    font-size: 2.3rem;
  }
}
.p-music_modal__more {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  margin-top: 2.8rem;
}
@media screen and (max-width: 750px) {
  .p-music_modal__more {
    justify-content: flex-start;
    margin-top: 2.2rem;
  }
}
.p-music_modal__more-btn {
  width: 24%;
  margin: 0 0.6666666667%;
}
@media screen and (max-width: 750px) {
  .p-music_modal__more-btn {
    width: 48%;
    margin: 0;
  }
}
.p-music_modal__more-btn:nth-child(4n-3) {
  margin-left: 0;
}
.p-music_modal__more-btn:nth-child(4n) {
  margin-right: 0;
}
.p-music_modal__more-btn:first-child {
  margin-left: 0;
}
.p-music_modal__more-btn:last-child {
  margin-right: 0;
}
@media screen and (max-width: 750px) {
  .p-music_modal__more-btn:nth-child(even) {
    margin-left: 4%;
  }
}
.p-music_modal__more-btn:nth-child(n+5) {
  margin-top: 1.8rem;
}
@media screen and (max-width: 750px) {
  .p-music_modal__more-btn:nth-child(n+3) {
    margin-top: 1.4rem;
  }
}